# Uses of Interface
org.apache.lucene.index.IndexWriter.IndexReaderWarmer

Packages that use IndexWriter.IndexReaderWarmer
Package
Description
org.apache.lucene.index
Code to maintain and access indices.

- ## Uses of IndexWriter.IndexReaderWarmer in org.apache.lucene.index

  Classes in org.apache.lucene.index that implement IndexWriter.IndexReaderWarmer
  Modifier and Type
  Class
  Description
  `class`
  `SimpleMergedSegmentWarmer`
  A very simple merged segment warmer that just ensures data structures are initialized.
  Methods in org.apache.lucene.index that return IndexWriter.IndexReaderWarmer
  Modifier and Type
  Method
  Description
  `IndexWriter.IndexReaderWarmer`
  IndexWriterConfig.`getMergedSegmentWarmer()`
  `IndexWriter.IndexReaderWarmer`
  LiveIndexWriterConfig.`getMergedSegmentWarmer()`
  Returns the current merged segment warmer.
  Methods in org.apache.lucene.index with parameters of type IndexWriter.IndexReaderWarmer
  Modifier and Type
  Method
  Description
  `IndexWriterConfig`
  IndexWriterConfig.`setMergedSegmentWarmer(IndexWriter.IndexReaderWarmer mergeSegmentWarmer)`
  `LiveIndexWriterConfig`
  LiveIndexWriterConfig.`setMergedSegmentWarmer(IndexWriter.IndexReaderWarmer mergeSegmentWarmer)`
  Set the merged segment warmer.